.paragraph--type--map {
  margin-bottom: 4em;
}
#map {
  width: 100%;
  max-height: calc(100vh - 120px);
  height: 640px;
}

.map-footer {
  width: 100%;
  height: 100px;
  display: none;
  align-items: center;
  justify-content: center;
}

.show-map-button {
  color: white;
  font-size: 14px;
  line-height: 24px;
  letter-spacing: 0.5px;
  background: #5a5c40;
  padding: 0.6em 1.5em 0.6em 2em;
  border-radius: 25px;
  border: none;
  display: none;
}
.show-map-button:after {
  content: url(/themes/custom/changemaker_hotels/assets/arrow_left.svg);
  margin-left: 30px;
  position: relative;
  top: 2px;
}

/* The Modal */
.modal {
  display: none;
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8);
}

/* Modal Content */
.modal-content {
  position: relative;
  margin: auto;
  padding: 0;
  width: 100%;
  height: 100%;
}

/* Close Button */
.close {
  position: absolute;
  right: 20px;
  top: 20px;
  color: #fff;
  font-size: 30px;
  cursor: pointer;
  z-index: 999;
  background: #5a5c40;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Map inside the Modal */
#modal-map {
  width: 100%;
  /* height: calc(100vh - 100px);  */ /* Full screen minus some padding for footer */
  height: 100vh;
}
#modal-map #map {
  width: 100%;
  height: 100%;
  max-height: 100vh;
  /* height: calc(
    100vh - 100px
  ); */
}

/* Modal Footer */
.modal-footer {
  position: absolute;
  bottom: 0px;
  width: 100%;
  height: 100px;
  /* text-align: center; */
}
.modal-content > .modal-footer {
  display: none;
  justify-content: center;
}

.map-footer a,
.modal-footer a {
  color: white;
  text-decoration: none;
  font-size: 20px;
  background: var(--colorDarkBlue);
  padding: 10px 15px 10px 25px;
  border-radius: 25px;
  display: none;
}
.modal-footer a:after {
  content: url(/themes/custom/changemaker_hotels/assets/arrow_left.svg);
  margin-left: 30px;
}
.map-footer a:hover,
.modal-footer a:hover {
  color: white;
}

/* Custom Popup */
.custom-popup {
  position: relative;
  width: 205px; /* Set width according to your design */
  text-align: center;
}

.popup-background {
  position: relative;
  width: 100%;
  height: 380px; /* Adjust height to match the background image */
  background-image: url("/themes/custom/changemaker_hotels/images/map/map-card-rotated-bg.png"); /* Use your PNG file */
  background-size: cover;
  background-position: center;
  /* border-radius: 20px; Adjust the border-radius to match the shape */
  padding: 20px 10px; /* Adjust padding to space the text inside the popup */
}

.popup-text {
  color: white; /* Adjust color for contrast */
  text-align: left;
  padding: 10px;
}

.popup-text h4 {
  font-size: 14px;
  margin: 0 0 5px 0;
}

.popup-text p {
  font-size: 12px;
  margin: 0;
  line-height: 1.4;
}

/* Hotel Image inside the circle */
.hotel-image {
  width: 170px;
  height: 170px;
  border-radius: 50%;
  object-fit: cover;
  position: absolute;
  bottom: 20px; /* Adjust to position inside the circle cutout */
  left: 49%;
  transform: translateX(-50%);
  z-index: -1;
  filter: none;
}

#map .leaflet-popup-content-wrapper {
  background-color: transparent;
  box-shadow: none;
}
#map .leaflet-popup-content {
  margin: 0;
}
#map .leaflet-popup-close-button {
  color: white;
  right: 9px;
}

/* Markers */
#map .marker-cluster {
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.25);
}
#map .marker-cluster div {
  background-color: var(--colorMapItems);
  color: white;
}
#map .marker-cluster-small {
  background: none;
}
#map .marker-cluster-medium {
  background-color: var(--colorMapItems);
}

#map-headline {
  font-weight: normal;
  text-align: center;
  margin-top: 3em;
}
